#!/bin/sh
# ---------------------------------------------------------------------------
# /tmp/install.sh - fhem installation
#
# Creation   :  2018-03-17 Dirk Alberti, Howy-1(at)gmx(dot)de
# Last Update:  2019-01-22 Dirk Alberti
#
# Copyright (c) 2018 Dirk Alberti, Howy-1(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ---------------------------------------------------------------------------

# set package name
package_name=fhem

# ---------------------------------------------------------------------------
# add menu entry
# ---------------------------------------------------------------------------
/var/install/bin/add-menu "setup.services.menu" "setup.services.${package_name}.menu" "FHEM administration"

# ---------------------------------------------------------------------------
# restore saved fhem.cfg file on updates
# ---------------------------------------------------------------------------
if [ -f "/etc/${package_name}/${package_name}.orig" ]
then 
    mv /etc/${package_name}/${package_name}.orig /etc/${package_name}/${package_name}.cfg
fi
# ---------------------------------------------------------------------------
# create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# configure package on update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
