#!/bin/sh
# ---------------------------------------------------------------------------
# /var/install/config.d/fhem.sh - fhem configuration
#
# Creation   :  2018-03-18 Dirk Alberti, Howy-1(at)gmx(dot)de
# Last Update:  2019-01-22 Dirk Alberti
#
# Copyright (c) 2018 Dirk Alberti, Howy-1(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ---------------------------------------------------------------------------

# Package name
package_name=fhem

. /var/install/include/eislib

#debug=true

if ${debug:-false}
then
    exec 2>/tmp/$(basename ${0})-trace$$.log
    set -x
    ask_debug=true
    export ask_debug
fi

. /etc/config.d/${package_name}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

if [ "${START_FHEM}" = 'yes' ]
then
    cd /etc/rc2.d
    ln -sf ../init.d/fhem S89fhem
    # /etc/init.d/fhem restart
else
    rm -f /etc/rc2.d/S??fhem
    # /etc/init.d/fhem stop
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
